<div class="animated slideInRight card" [@Esc]='escala' (mouseover)="escalar($event)" (mouseout)="desescalar()">
 <!--  <h2>{{product.namePanel}}</h2> -->
 <div class='interior' >
  <h2><img *ngIf='product.variations.length>0'  [src]="product.variations[0].variationImage.url"/> {{product.namePanel}} - {{product.type}} </h2>
  <p *ngIf='product.variations.length>0' >{{product.variations[0].synopsis}} </p>

  <p><button class="btn btn-outline-primary mb-2 mr-2" (click)="openWindowCustomClass(content)">Detalles</button></p>
  </div>
</div>
<ng-template #content let-modal>
    <div class="modal-header">
      <h4 class="modal-title">{{product.namePanel}}</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <p>Número de páginas {{product.bookTotalPages}}</p>
      <p>Precio {{product.priceCurrency}}</p>
      <p>Edad Recomendada: {{product.availableAges}}</p>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-light" (click)="modal.close('Close click')">Close</button>
    </div>
  </ng-template>
